OpenJPEG: opj_includes.h File Reference

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
opj_includes.h File Reference
`#include "opj_config_private.h"`
`#include <memory.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <float.h>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <ctype.h>`
`#include <assert.h>`
`#include "openjpeg.h"`
`#include "opj_inttypes.h"`
`#include "opj_clock.h"`
`#include "opj_malloc.h"`
`#include "event.h"`
`#include "function_list.h"`
`#include "bio.h"`
`#include "cio.h"`
`#include "image.h"`
`#include "invert.h"`
`#include "j2k.h"`
`#include "jp2.h"`
`#include "mqc.h"`
`#include "raw.h"`
`#include "pi.h"`
`#include "tgt.h"`
`#include "tcd.h"`
`#include "t1.h"`
`#include "dwt.h"`
`#include "t2.h"`
`#include "mct.h"`
`#include "opj_intmath.h"`
`#include "openjpwl/jpwl.h"`
`#include "opj_codec.h"`

Go to the source code of this file.

## Macros
#define | OPJ_FSEEK(stream, offset, whence) fseek(stream,offset,whence)
#define | OPJ_FSTAT(fildes, stat_buff) fstat(fildes,stat_buff)
#define | OPJ_FTELL(stream) ftell(stream)
#define | OPJ_STAT_STRUCT_T struct stat
#define | OPJ_STAT(path, stat_buff) stat(path,stat_buff)
#define | restrict /* restrict */
#define | OPJ_NOSANITIZE(kind)

## Functions
static INLINE long | opj_lrintf (float f)

## Macro Definition Documentation

#define OPJ_FSEEK | ( |  | stream,
|  |  | offset,
|  |  | whence
| ) |  | fseek(stream,offset,whence)

Referenced by opj_get_data_length_from_file(), opj_seek_from_file(), and opj_skip_from_file().

#define OPJ_FSTAT | ( |  | fildes,
|  |  | stat_buff
| ) |  | fstat(fildes,stat_buff)

#define OPJ_FTELL | ( |  | stream | ) | ftell(stream)

Referenced by opj_get_data_length_from_file().

#define OPJ_NOSANITIZE | ( |  | kind | ) |

Referenced by opj_bio_init_dec(), and opj_bio_write().

#define OPJ_STAT | ( |  | path,
|  |  | stat_buff
| ) |  | stat(path,stat_buff)

#define OPJ_STAT_STRUCT_T struct stat

#define restrict /* restrict */

Referenced by opj_dwt_decode_real(), opj_dwt_decode_tile(), opj_mct_encode(), opj_mct_get_mct_norms_real(), opj_mct_getnorm(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_v4dwt_decode_step1(), opj_v4dwt_interleave_h(), and opj_v4dwt_interleave_v().

## Function Documentation

static INLINE long opj_lrintf | ( | float | f | ) |
| static

Referenced by opj_tcd_dc_level_shift_decode().